package entity

type VehicleModel struct {
	ModelLabel string `json:"model_label"`
}

// VehicleDynamics 动力学配置
type VehicleDynamics struct {
	DynamicsMaxspeed              float64 `json:"dynamics_maxspeed"`
	DynamicsEnginepower           float64 `json:"dynamics_enginepower"`
	DynamicsMaxdecel              float64 `json:"dynamics_maxdecel"`
	DynamicsMaxsteering           float64 `json:"dynamics_maxsteering"`
	DynamicsMass                  float64 `json:"dynamics_mass"`
	DynamicsFrontsurfaceeffective float64 `json:"dynamics_frontsurfaceeffective"`
	DynamicsAirdragcoefficient    float64 `json:"dynamics_airdragcoefficient"`
	DynamicsRollingresistance     float64 `json:"dynamics_rollingresistance"`
	DynamicsWheeldiameter         float64 `json:"dynamics_wheeldiameter"`
	DynamicsWheeldrive            string  `json:"dynamics_wheeldrive"`
	DynamicsOverallefficiency     float64 `json:"dynamics_overallefficiency"`
	DynamicsDistfront             float64 `json:"dynamics_distfront"`
	DynamicsDistrear              float64 `json:"dynamics_distrear"`
	DynamicsDistleft              float64 `json:"dynamics_distleft"`
	DynamicsDistright             float64 `json:"dynamics_distright"`
	DynamicsDistheight            float64 `json:"dynamics_distheight"`
	DynamicsWheelbase             float64 `json:"dynamics_wheelbase"`
}

type VehicleSensors struct {
	camera []SensorCamera
	OGT    []SensorOgt
}
